| Bsoft 2.0.5 Bernard's software package

Functions
model_poly_delta.h File Reference

Functions to generate deltagraph polyhedra. More...

`#include "rwmodel.h"`

Go to the source code of this file.

## Functions
Bmodel * | model_delta_create_tube (int h, int k, int height)
| Generates a new tubular deltagraph. More...
Bmodel * | model_delta_create_cylinder (int type, int radius, int height)
| Generates a new deltagraph based on the type. More...

## Detailed Description

Functions to generate deltagraph polyhedra.

Author
  Bernard Heymann

Date
  Created: 20080103
  Modified: 20111229

Definition in file model_poly_delta.h.

## Function Documentation

## ◆ model_delta_create_cylinder()

Bmodel* model_delta_create_cylinder | ( | int | type,
|  | int | radius,
|  | int | height
| ) |  |

Generates a new deltagraph based on the type.

Parameters

  type | type of cylinder.
  radius | radius in integer units.
  height | height in integer units.

Returns
  Bmodel* new model.

      Types supported:
          1   5-fold ends.
          2   6-fold ends.
          4   starting cap.
          8   ending cap.

Definition at line 152 of file model_poly_delta.cpp.

## ◆ model_delta_create_tube()

Bmodel* model_delta_create_tube | ( | int | h,
|  | int | k,
|  | int | height
| ) |  |

Generates a new tubular deltagraph.

    The lattice parameters determine the radius.

Parameters

  h | first lattice parameter, must be 1+.
  k | second lattice parameter, must be 0+.
  height | height in integer units.

Returns
  Bmodel* new model.

Definition at line 78 of file model_poly_delta.cpp.